%define anolis_release 1
# %%global qt6 1

Summary: PDF rendering library
Name:    poppler
Version: 23.04.0
Release: %{anolis_release}%{?dist}
License: (GPLv2 or GPLv3) and GPLv2+ and LGPLv2+ and MIT
URL:     https://poppler.freedesktop.org/
Source0: https://poppler.freedesktop.org/%{name}-%{version}.tar.xz
# test_sha ae4c5f64986aeaa6701bb65235eccd99243c76bc
# test_date 2023-03-15
Source1: https://gitlab.freedesktop.org/poppler/test/-/archive/master/test-master.tar.bz2
Patch1: poppler-0.90.0-position-independent-code.patch
Patch2: poppler-21.01.0-glib-introspection.patch 

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: gettext-devel
BuildRequires: pkgconfig(cairo) >= 1.16.0
BuildRequires: pkgconfig(cairo-ft) >= 1.16.0
BuildRequires: pkgconfig(cairo-pdf) >= 1.16.0
BuildRequires: pkgconfig(cairo-ps) >= 1.16.0
BuildRequires: pkgconfig(cairo-svg) >= 1.16.0
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(fontconfig) >= 2.13
BuildRequires: pkgconfig(freetype2) >= 2.10
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.40
BuildRequires: pkgconfig(gio-2.0) >= 2.64
BuildRequires: pkgconfig(glib-2.0) >= 2.64
BuildRequires: pkgconfig(gobject-2.0) >= 2.64
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 1.64.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.24
BuildRequires: pkgconfig(gtk-doc)
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libopenjp2)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libtiff-4)
BuildRequires: pkgconfig(nss) >= 3.19
BuildRequires: pkgconfig(poppler-data)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(Qt5Core) >= 5.12
BuildRequires: pkgconfig(Qt5Gui) >= 5.12
BuildRequires: pkgconfig(Qt5Test) >= 5.12
BuildRequires: pkgconfig(Qt5Widgets) >= 5.12
BuildRequires: pkgconfig(Qt5Xml) >= 5.12
%if 0%{?qt6}
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Test)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Xml)
%endif
BuildRequires: boost-devel >= 1.71.0

Requires: poppler-data

Obsoletes: poppler-glib-demos < 0.60.1-1

%description
%{name} is a PDF rendering library.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Libraries and headers for poppler
Requires: %{name} = %{version}-%{release}

%description devel
You should install the poppler-devel package if you would like to
compile applications based on poppler.

%package glib
Summary: Glib wrapper for poppler
Requires: %{name} = %{version}-%{release}

%description glib
%{summary}.

%package glib-devel
Summary: Development files for glib wrapper
Requires: %{name}-glib = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Suggests: %{name}-doc = %{version}-%{release}

%description glib-devel
%{summary}.

%package glib-doc
Summary: Documentation for glib wrapper
BuildArch: noarch

%description glib-doc
%{summary}.

%package qt5
Summary: Qt5 wrapper for poppler
Requires: %{name} = %{version}-%{release}
Obsoletes: %{name}-qt < 0.90.0
%description qt5
%{summary}.

%package qt5-devel
Summary: Development files for Qt5 wrapper
Requires: %{name}-qt5 = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Requires: qt5-qtbase-devel
Obsoletes: %{name}-qt-devel < 0.90.0
%description qt5-devel
%{summary}.

%if 0%{?qt6}
%package qt6
Summary: Qt6 wrapper for poppler
Requires: %{name} = %{version}-%{release}
%description qt6
%{summary}.

%package qt6-devel
Summary: Development files for Qt6 wrapper
Requires: %{name}-qt6 = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Requires: qt6-qtbase-devel
%description qt6-devel
%{summary}.
%endif

%package cpp
Summary: Pure C++ wrapper for poppler
Requires: %{name} = %{version}-%{release}

%description cpp
%{summary}.

%package cpp-devel
Summary: Development files for C++ wrapper
Requires: %{name}-cpp = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}

%description cpp-devel
%{summary}.

%package utils
Summary: Command line utilities for converting PDF files
Requires: %{name} = %{version}-%{release}

%description utils
Command line tools for manipulating PDF files and converting them to
other formats.

%prep
%autosetup -p1 -b 1

%build
%cmake \
  -DENABLE_CMS=lcms2 \
  -DENABLE_DCTDECODER=libjpeg \
  -DENABLE_GTK_DOC=ON \
  -DENABLE_LIBOPENJPEG=openjpeg2 \
  -DENABLE_UNSTABLE_API_ABI_HEADERS=ON \
  -DENABLE_ZLIB=OFF \
  -DTESTDATADIR=%{_builddir}/test-master
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license COPYING
%{_libdir}/libpoppler.so.*

%files doc
%doc README.md

%files devel
%{_libdir}/pkgconfig/poppler.pc
%{_libdir}/libpoppler.so
%dir %{_includedir}/poppler/
# xpdf headers
%{_includedir}/poppler/*.h
%{_includedir}/poppler/fofi/
%{_includedir}/poppler/goo/
%{_includedir}/poppler/splash/

%files glib
%{_libdir}/libpoppler-glib.so.8*
%{_libdir}/girepository-1.0/Poppler-0.18.typelib

%files glib-devel
%{_libdir}/pkgconfig/poppler-glib.pc
%{_libdir}/libpoppler-glib.so
%{_datadir}/gir-1.0/Poppler-0.18.gir
%{_includedir}/poppler/glib/

%files glib-doc
%license COPYING
%{_datadir}/gtk-doc/

%files qt5
%{_libdir}/libpoppler-qt5.so.1*

%files qt5-devel
%{_libdir}/libpoppler-qt5.so
%{_libdir}/pkgconfig/poppler-qt5.pc
%{_includedir}/poppler/qt5/

%if 0%{?qt6}
%files qt6
%{_libdir}/libpoppler-qt6.so.3*

%files qt6-devel
%{_libdir}/libpoppler-qt6.so
%{_libdir}/pkgconfig/poppler-qt6.pc
%{_includedir}/poppler/qt6/
%endif

%files cpp
%{_libdir}/libpoppler-cpp.so.0*

%files cpp-devel
%{_libdir}/pkgconfig/poppler-cpp.pc
%{_libdir}/libpoppler-cpp.so
%{_includedir}/poppler/cpp

%files utils
%{_bindir}/pdf*
%{_mandir}/man1/*

%changelog
* Mon Apr 3 2023 Funda Wang <fundawang@yeah.net> - 23.04.0-1
- New version 23.04.0

* Thu Mar 2 2023 Funda Wang <fundawang@yeah.net> - 23.03.0-1
- New version 23.03.0

* Fri Feb 3 2023 Funda Wang <fundawang@yeah.net> - 23.02.0-1
- New version 23.02.0

* Thu Jan 19 2023 Funda Wang <fundawang@yeah.net> - 23.01.0-2
- Rebuild for new libtiff

* Mon Jan 2 2023 Funda Wang <fundawang@yeah.net> - 23.01.0-1
- New version 23.01.0

* Fri Dec 9 2022 Funda Wang <fundawang@yeah.net> - 22.12.0-1
- New version 22.12.0

* Wed Nov 16 2022 Funda Wang <fundawang@yeah.net> - 22.11.0-1
- update to 22.11.0
- renew SOURCE1 url as tarball from gitlab.freedesktop.org

* Thu Sep 1 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 22.08.0-1
- update to 22.08.0

* Mon Apr 25 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 22.04.0-2
- Bump version to rebuild with icu-71

* Tue Apr 19 2022 zhang xianting <zhangxianting@uniontech.com> - 22.04.0-1
- Initial build for Anolis V23
